package cn.keking.init;

import cn.keking.config.ConfigConstants;
import cn.keking.config.WatermarkConfigConstants;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author Hikaru
 */
@Component
public class FileInitCommand implements CommandLineRunner {
    private static final Logger logger = LoggerFactory.getLogger(FileInitCommand.class);

    @Resource
    private ConfigConstants configConstants;

    @Resource
    private WatermarkConfigConstants watermarkConfigConstants;

    @Override
    public void run(String... args) throws Exception {
        logger.info("configConstants:{}",configConstants);
        logger.info("watermarkConfigConstants:{}",watermarkConfigConstants);
        logger.info("打印");

    }
}
